<%@ page contentType="text/html; charset=UTF-8"%>
<%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<script type="text/javascript">

var webexecuter = "webexecuter";
var contractId = ${contract_current.id};

</script>

<tiles:insertDefinition name="webexecuter">
	<tiles:putAttribute name="pageTitle">
		<c:set var="pageTitleFromMenu"><c:forEach var="menuItem" items="${menuItemList}"><c:if test="${module eq menuItem.module && action eq menuItem.action}">${menuItem.title}</c:if></c:forEach></c:set>
	  	<c:choose>
	  		<c:when test="${not empty pageTitleFromMenu}">${pageTitleFromMenu}</c:when>
	  		<c:otherwise>${dataMap['pageTitle']}</c:otherwise>
<%-- 
	  		<c:when test="${action eq 'DistributeBalance'}">РАСПРЕДЕЛЕНИЕ СРЕДСТВ</c:when>
	  		<c:when test="${action eq 'Subscription'}">ПОДПИСКА НА РАССЫЛКИ</c:when>
	  		<c:when test="${action eq 'DispatchBalance'}">РАССЫЛКА БАЛАНСА</c:when>
	  		<c:when test="${action eq 'ChangeTariff'}">СМЕНА ТАРИФНЫХ ПЛАНОВ</c:when>
	  		<c:when test="${action eq 'ContractLimit'}">УПРАВЛЕНИЕ ЛИМИТОМ</c:when>
	  		<c:when test="${action eq 'AdditionalAction'}">ДОПОЛНИТЕЛЬНЫЕ ДЕЙСТВИЯ</c:when>
--%>
	  	</c:choose>
	</tiles:putAttribute>

	<tiles:putAttribute name="body">
	<%@include file="include/error.jsp" %>
		<c:choose>
			<c:when test="${module eq 'alfabank'}"><jsp:include page="alfabank/body.jsp"/></c:when>
			<c:when test="${module eq 'bill'}"><jsp:include page="bill/body.jsp"/></c:when>
			<c:when test="${module eq 'chronopay'}"><jsp:include page="chronopay/body.jsp"/></c:when>
			<c:when test="${module eq 'contract' }"><%@ include file="contract/body.jsp"%></c:when>
			<c:when test="${module eq 'dialup'}"><jsp:include page="dialup/body.jsp"/></c:when>
			<c:when test="${module eq 'email'}"><jsp:include page="email/body.jsp"/></c:when>
			<c:when test="${module eq 'enaza'}"><jsp:include page="enaza/body.jsp"/></c:when>
			<c:when test="${module eq 'gazprombank'}"><jsp:include page="gazprombank/body.jsp"/></c:when>
			<c:when test="${module eq 'ipn'}"><jsp:include page="ipn/body.jsp"/></c:when>
			<c:when test="${module eq 'mobimoney'}"><jsp:include page="mobimoney/body.jsp"/></c:when>
			<c:when test="${module eq 'moneta'}"><jsp:include page="moneta/body.jsp"/></c:when>
			<c:when test="${module eq 'mps'}"><jsp:include page="mps/body.jsp"/></c:when>
			<c:when test="${module eq 'mtsbank'}"><jsp:include page="mtsbank/body.jsp"/></c:when>
			<c:when test="${module eq 'netpay'}"><jsp:include page="netpay/body.jsp"/></c:when>
			<c:when test="${module eq 'onpay'}"><jsp:include page="onpay/body.jsp"/></c:when>
			<c:when test="${module eq 'paykeeper'}"><jsp:include page="paykeeper/body.jsp"/></c:when>
			<c:when test="${module eq 'paymaster'}"><jsp:include page="paymaster/body.jsp"/></c:when>
			<c:when test="${module eq 'payonline'}"><jsp:include page="payonline/body.jsp"/></c:when>
			<c:when test="${module eq 'payture'}"><jsp:include page="payture/body.jsp"/></c:when>
			<c:when test="${module eq 'psb'}"><jsp:include page="psb/body.jsp"/></c:when>
			<c:when test="${module eq 'pscb'}"><jsp:include page="pscb/body.jsp"/></c:when>
			<c:when test="${module eq 'qiwi'}"><jsp:include page="qiwi/body.jsp"/></c:when>
			<c:when test="${module eq 'rbkmoney'}"><jsp:include page="rbkmoney/body.jsp"/></c:when>
			<c:when test="${module eq 'rfiec'}"><jsp:include page="rfiec/body.jsp"/></c:when>
			<c:when test="${module eq 'robokassa'}"><jsp:include page="robokassa/body.jsp"/></c:when>
			<c:when test="${module eq 'rscm'}"><jsp:include page="rscm/body.jsp"/></c:when>
			<c:when test="${module eq 'rurupay'}"><jsp:include page="rurupay/body.jsp"/></c:when>
			<c:when test="${module eq 'ru.bitel.bgbilling.plugins.documents'}"><jsp:include page="documents/body.jsp"/></c:when>
			<c:when test="${module eq 'sberbank'}"><jsp:include page="sberbank/body.jsp"/></c:when>
			<c:when test="${module eq 'simplepay'}"><jsp:include page="simplepay/body.jsp"/></c:when>
			<c:when test="${module eq 'twpg'}"><jsp:include page="twpg/body.jsp"/></c:when>
			<c:when test="${module eq 'trayinfo'}"><jsp:include page="trayInfo/body.jsp"/></c:when>
			<c:when test="${module eq 'uniteller'}"><jsp:include page="uniteller/body.jsp"/></c:when>
			<c:when test="${module eq 'voiceip'}"><jsp:include page="voiceip/body.jsp"/></c:when>
			<c:when test="${module eq 'vseplatezhi'}"><jsp:include page="vseplatezhi/body.jsp"/></c:when>
			<c:when test="${module eq 'wm'}"><jsp:include page="wm/body.jsp"/></c:when>
			<c:when test="${module eq 'vidimax'}"><jsp:include page="vidimax/body.jsp"/></c:when>
			<c:when test="${module eq 'yamoney'}"><jsp:include page="yamoney/body.jsp"/></c:when>
			<c:when test="${module eq 'megogo'}"><jsp:include page="megogo/body.jsp"/></c:when>
		</c:choose>
	</tiles:putAttribute>
</tiles:insertDefinition>
